/* 
 * Field Widget for GTK
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MOKO_FIELD_LABEL_H__
#define __MOKO_FIELD_LABEL_H__
#include <gtk/gtklabel.h>


G_BEGIN_DECLS

#define MOKO_TYPE_FIELD_LABEL		(moko_field_label_get_type ())
#define MOKO_FIELD_LABEL(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), MOKO_TYPE_FIELD_LABEL, MokoFieldLabel))
#define MOKO_FIELD_LABEL_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), MOKO_TYPE_FIELD_LABEL, MokoFieldLabelClass))
#define MOKO_IS_FIELD_LABEL(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), MOKO_TYPE_FIELD_LABEL))
#define MOKO_IS_FIELD_LABEL_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), MOKO_TYPE_FIELD_LABEL))
#define MOKO_FIELD_LABEL_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), MOKO_TYPE_FIELD_LABEL, MokoFieldLabelClass))


typedef struct _MokoFieldLabel	MokoFieldLabel;
typedef struct _MokoFieldLabelClass	MokoFieldLabelClass;

struct _MokoFieldLabel
{
	GtkLabel label;
	size_t wrap_width;
};


struct _MokoFieldLabelClass
{
	GtkLabelClass parent_class;
};

GType		moko_field_label_get_type	(void);
GtkWidget*	moko_field_label_new		(const gchar *str);
void		moko_field_label_set_text	(MokoFieldLabel *label, const gchar* text);
#if 0
void		moko_field_label_set_markup  (MokoFieldLabel		*moko_field_label,
					 const gchar		*str);
#endif
G_END_DECLS

#endif
