/* 
 * Hold Menu Tool Button for GTK
 * Copyright (C) 2007 Milko Krachounov <exabyte@3mhz.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MOKO_MENU_TOOL_BUTTON_H__
#define __MOKO_MENU_TOOL_BUTTON_H__
#include <gtk/gtktoolbutton.h>


G_BEGIN_DECLS

#define MOKO_TYPE_MENU_TOOL_BUTTON		(moko_menu_tool_button_get_type ())
#define MOKO_MENU_TOOL_BUTTON(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), MOKO_TYPE_MENU_TOOL_BUTTON, MokoMenuToolButton))
#define MOKO_MENU_TOOL_BUTTON_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), MOKO_TYPE_MENU_TOOL_BUTTON, MokoMenuToolButtonClass))
#define MOKO_IS_MENU_TOOL_BUTTON(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), MOKO_TYPE_MENU_TOOL_BUTTON))
#define MOKO_IS_MENU_TOOL_BUTTON_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), MOKO_TYPE_MENU_TOOL_BUTTON))
#define MOKO_MENU_TOOL_BUTTON_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), MOKO_TYPE_MENU_TOOL_BUTTON, MokoMenuToolButtonClass))


typedef struct _MokoMenuToolButton	MokoMenuToolButton;
typedef struct _MokoMenuToolButtonClass	MokoMenuToolButtonClass;

struct _MokoMenuToolButton
{
	GtkToolButton button;
};


struct _MokoMenuToolButtonClass
{
	GtkToolButtonClass parent_class;
};

GType		moko_menu_tool_button_get_type		(void);
GtkToolItem*	moko_menu_tool_button_new		(GtkWidget *icon_widget,
							 const gchar *label);

GtkToolItem*	moko_menu_tool_button_new_from_stock	(const gchar *stock_id);
void		moko_menu_tool_button_set_menu		(MokoMenuToolButton *button,
							 GtkWidget *menu);
GtkWidget*	moko_menu_tool_button_get_menu		(MokoMenuToolButton *button);
void		moko_menu_tool_button_set_interval	(MokoMenuToolButton *button,
							 guint interval);
guint		moko_menu_tool_button_get_interval	(MokoMenuToolButton *button);

G_END_DECLS

#endif
